Subject: RE: More AODV draft issues - broadcast issue

From: "Luke Klein-Berndt" <[email-masked]>
Date: Fri, 2 Nov 2001 12:21:01 -0500

Hello Erik,
With Linux you can set the interface associated with 255.255.255.255. If you
do: "route add 255.255.255.255 dev eth1" it should associate 255.255.255.255
to eth1...  At least it does from me. It is possible your implementations is
hardwired to send broadcast out over eth0. I am just finishing up a Linux
kernel implementation of AODV and I am pretty sure it is not affected by
this. If the "route" command does not fix the problem, let me know and I can
send you a prerelease copy.

Regards,

Luke Klein-Berndt

.........................................................
 Luke Klein-Berndt, Computer Scientist
 Wireless Communications Technologies Group
 National Institute of Standards and Technology

 Phone:  (301) 975-8029
 E-Mail:  [email-masked]
 Web:  http://w3.antd.nist.gov/wctg/index.html
.........................................................

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Erik Nordström
Sent: Friday, November 02, 2001 8:11 AM
To: Ian Chakeres
Cc: MANET mailing list
Subject: RE: More AODV draft issues - broadcast issue

On Thu, 2001-11-01 at 19:18, Ian Chakeres wrote:
> Regarding broadcast.  The broadcast address 255.255.255.255 is a local
> broadcast that cannot be forwarded.  Since nodes may have any ip
> addresses (i.e. not all in the same subnet) there is no other address
> that would be processed by all nodes.
> If broadcast should not be used, what would you suggest?
> I agree Linux will only issue broadcasts on one of the interfaces at a
> time, but this is an implementation/configuration issue not a problem
> with the protocol.
>
I don't agree entirely on that it is an implementation issue. The
specification of the protocol make an assumption about functionality
which is not valid on all platforms. I don't know how to alter the
implementation or my configuration to make it work according to the
draft. If you do, can you please explain how I should do that?

regards,

Erik Nordström

> Ian Chakeres
>
>
>
> > -----Original Message-----
> > From: [email-masked]
> [mailto:[email-masked]]
> > On Behalf Of Erik Nordström
> > Sent: Wednesday, October 31, 2001 3:00 PM
> > To: [email-masked]
> > Subject: More AODV draft issues
> >
> >
> > Hi.
> >
> > I'm back again with more questions about the AODV draft.
> >
> > Broadcast address
> > =================
> > Also, why is a broadcast address of 255.255.255.255 used with AODV?
> This
> > is generally just used for protocols such as bootp, because the proper
> > broadcast address is not known during boot. Is it used to be able to
> > reach hosts that don't share the same type of network address?
> >
> > The problem with the 255.255.255.255 address is that depending on OS,
> it
> > may broadcast on all network interfaces or just the first one. On
> Linux
> > for example, it only broadcasts on the first interface. This prevents
> me
> > from running AODV on my computer at home, where my WaveLAN card is on
> > eth1. Even if it would broadcasts on all interfaces, I might not want
> > that, if my other interfaces are not connected to a "AODV network".
> >
> > regards,
> >
> > Erik Nordström
> >
> >
>
>